[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Problems upgrading from 2.0.x to 2.1.x

On Jan 21 at 1:15pm, Nels Lindquist wrote:

> Having received no replies whatsoever, let me rephrase the question:
> Is it possible to upgrade from a v2.0.x to v2.1.x and make use of 
> one's existing backend?  Is there an appropriate upgrade procedure 
> documented somewhere (I have looked, but may have overlooked).

So, you want to shutdown v2.0.x and without changing the backend 
database files, you want to start up v2.1.x and have it work?

I don't think that's possible (although since, I haven't done anythign 
with v2.1.x I could be very wrong).  I think the advice I have seen on 
this list in the past was that you had to at least do a slapcat to get 
the database out, then install v2.1.x and do a slapadd to put the 
database into the new server.

On the other had, what is slapd telling you in it's log file... you do 
have it logging, right?

Is it able to read the old files?

Frank Swasey                    | http://www.uvm.edu/~fcs
Systems Programmer              | Always remember: You are UNIQUE,
University of Vermont           |    just like everyone else.
                    === God Bless Us All ===